package com.fdkankan.scene.service;

import com.alibaba.fastjson.JSONObject;
import com.fdkankan.rabbitmq.bean.BuildSceneCallMessage;
import java.util.Map;

/**
 * <p>
 * TODO
 * </p>
 *
 * @author dengsixing
 * @since 2022/3/1
 **/
public interface IBuildScenePreService {

    void buildScenePre(BuildSceneCallMessage message);

    Map<String, String> getTypeString(String cameraType, String algorithm, String resolution, JSONObject dataJson);

    String getPath(BuildSceneCallMessage buildSceneMqMessage) throws Exception;

    void downLoadSource(BuildSceneCallMessage buildSceneMqMessage, String path) throws Exception;

    void uploadLogFile(String num, String dataSource);

}
